Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.schema
Class AutoIncrementSequenceFactory

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.schema.AbstractSequenceFactory
            |
            +--com.solarmetric.kodo.impl.jdbc.schema.AutoIncrementSequenceFactory

All Implemented Interfaces:
  SequenceFactory, Serializable

public class AutoIncrementSequenceFactory
extends AbstractSequenceFactory

A SequenceFactory implementation that can deal with auto-incrementing primary keys for some databases.

See Also:
  Serialized Form

Constructor Summary
`AutoIncrementSequenceFactory()`

Method Summary
`long` | `getNext(Class cls, Connector connector)` Obtains the next sequence number by delegating to the `DBDictionary.getNextAutoIncrementValue(com.solarmetric.kodo.impl.jdbc.schema.Table, com.solarmetric.kodo.impl.jdbc.SQLExecutionManager)` method.

Methods inherited from class com.solarmetric.kodo.impl.jdbc.schema.AbstractSequenceFactory
`getConfiguration, getDictionary, setConfiguration, setConfiguration, setDictionary`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoIncrementSequenceFactory

    public AutoIncrementSequenceFactory()

Method Detail

### getNext

    public long getNext(Class cls,
                        Connector connector)
                 throws Exception

  Obtains the next sequence number by delegating to the `DBDictionary.getNextAutoIncrementValue(com.solarmetric.kodo.impl.jdbc.schema.Table, com.solarmetric.kodo.impl.jdbc.SQLExecutionManager)` method. Note that the DBDictionary must contain support for auto-increment sequences for this to work.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.